BizKitHub
DocsAPI ReferenceAccount/bff/account/public-profile
getputAccountAdmin BFF

/bff/account/public-profile

Global (cas__user), shown to colleagues in every organisation and in team chat.

AccountgetBffAccountPublic-profile

Parameters

No parameters required

This endpoint takes no path, query, header or body parameters.

Response schema

1 status code documented

200Success
headlinestring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
biostring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
locationstring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
workingHoursstring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
skillsstring[]Required
awayUntilstring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
awayMessagestring | nullRequired
One of 2:
Variant 1
string
Variant 2
null

Response example

application/json
{
  "skills": [
    "string"
  ]
}

Request example

GET /bff/account/public-profile

get
curl -X GET "https://api.bizkithub.com/bff/account/public-profile" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key